> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/ios/api-reference/classes/biddocumentprovider.md).

# BIDDocumentProvider

public class BIDDocumentProvider

This class manages all documents, including adding or removing identity documents and other miscellaneous documents.

### Enum Values

| Parameters              |                        |                                            |
| ----------------------- | ---------------------- | ------------------------------------------ |
| **RegisterDocCategory** | **Identity\_Document** | Represents an identity document            |
|                         | **Misc\_Document**     | Represents a miscellaneous document        |
| **RegisterDocType**     | **DL**                 | Represents a driver's license document     |
|                         | **LIVE\_ID**           | Represents a Live ID document              |
|                         | **NATIONAL\_ID**       | Represents a national ID document          |
|                         | **PIN**                | Represents PIN document                    |
|                         | **PPT**                | Represents passport document               |
|                         | **SSN**                | Represents social security number document |

***

### Method Summary

| Parameters |                                                                            |                                                                                                                                                                                                    |
| ---------- | -------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Int**    | getDocumentCount()                                                         | Returns enrolled document count.                                                                                                                                                                   |
| **String** | getEnrolledDocumentList()                                                  | Returns a list of all the documents                                                                                                                                                                |
| **String** | getUserDocument(id: **String**?, type: **String**?, category: **String**?) | Checks and returns document based on the given criteria. All or any of the input parameters can be NULL. If all the parameters are NULL, the method returns a list of all the documents registered |

***

### Method Details

#### getDocumentCount

**public func** getDocumentCount() -> Int

* Returns the enrolled document count.

***

#### getEnrolledDocumentList

**public func** getEnrolledDocumentList() -> **String**

* Returns the list of all documents.

***

#### getUserDocument

**public func** getUserDocument(id: **String**?, type: **String**?, category: **String**?) -> **String**?

* Checks and returns a document based on the given criteria. All or any of the input parameters can be NULL. If all parameters are NULL, the method returns a list of all registered documents.

| Parameters | Description                                                               |
| ---------- | ------------------------------------------------------------------------- |
| id         | **String**: The number for which the user has requested the document.     |
| type       | **String**: The type of document (DL, PPT, etc.).                         |
| category   | **String**: The category of document (identity\_document, misc\_document) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/ios/api-reference/classes/biddocumentprovider.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
